<ion-content color="background" padding style="height: 100vh;display: flex; justify-content: center; align-items: center" mode="ios">
  <ion-grid>
    <ion-grid padding style="margin-bottom: 0px;">
      <ion-row style="width:200px;height:10px;margin:auto;">
        <img style="width:200px;height:200px;z-index: 999;" src="../../../assets/imagenes/avatar.png"
          alt="">
      </ion-row>
    </ion-grid>
    <ion-card style="background-color: white;"> 
      <ion-grid class="ion-padding">
        <ion-row>
          <ion-col style="padding-top: 140px;" class="contenedor" size-sm="6" size-md="6" size-lg="4" offset-sm="3"
            offset-md="3" offset-lg="4">
            <ion-item class="input">
              <ion-label class="celeste" position="floating">Usuario</ion-label>
              <ion-input [(ngModel)]="correo"></ion-input>
            </ion-item>
            <ion-item class="input">
              <ion-label class="celeste" position="floating">Contraseña</ion-label>
              <ion-input id="eye" type="password" [(ngModel)]="contrasena"></ion-input>
              <ion-icon style="padding-top: 15px;" name="eye" slot="end" *ngIf="contrasena" (click)="mostrar()"></ion-icon>
            </ion-item>
            <ion-row>
              <ion-item class="label w-100">
                <ion-label class="celeste underline font-small ion-text-end">Olvidé mi contraseña</ion-label>
              </ion-item>
            </ion-row>
            <ion-row>
              <ion-item class="w-100">
                <ion-button expand="block" class="bg-celeste" size="medium" (click)="iniciarSesion()">Iniciar Sesión
                </ion-button>
              </ion-item>
            </ion-row>
            <ion-row>
              <ion-item class="w-100">
                <ion-checkbox color="boton"></ion-checkbox>
                <ion-label class="celeste m-10l font-normal">Recordar contraseña</ion-label>
              </ion-item>
            </ion-row>
            <ion-row>
              <ion-item class="w-100" style="margin-bottom: 10px;">
                <ion-label class="celeste ion-text-center">Registrarse</ion-label>
              </ion-item>
            </ion-row>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card>
  </ion-grid>
</ion-content>